using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.StoragesContracts
{
    public interface IManagerStorage
    {
        List<ManagerViewModel> GetFullList();
        List<ManagerViewModel> GetFilteredList(ManagerSearchModel model);
        ManagerViewModel? GetElement(ManagerSearchModel model);
        ManagerViewModel? Insert(ManagerBindingModel model);
        ManagerViewModel? Update(ManagerBindingModel model);
        ManagerViewModel? Delete(ManagerBindingModel model);
    }
}
